<?php
namespace Followize\Extension\CF7;

if ( ! function_exists( 'add_action' ) ) {
	exit( 0 );
}

class ContactForm7_View
{
	public static function render_panel( $post )
	{
		$followize        = $post->prop( 'followize' );
		$followize_api    = $post->prop( 'followize-api' );
		$followize_fields = $post->prop( 'followize-fields' );
		?>
		<div class="metabox-holder">
			<div class="mce-main-fields">
				<h2><?php esc_html_e( 'Chaves de integração', App::PLUGIN_SLUG ); ?></h2>

				<p class="description">
					<?php
						printf(
							esc_html__( 'As chaves necessárias para a integração podem ser geradas e encontradas através desta URL: %s', App::PLUGIN_SLUG ),
							'<a href="https://app.followize.com.br/integrations/keys" target="_blank">https://app.followize.com.br/integrations/keys</a>'
						);
					?>
				</p>

				<p>
					<label><?php esc_html_e( 'Cliente:', App::PLUGIN_SLUG ); ?>
						<input type="text"
							   name="wpcf7-followize-api[clientKey]"
							   class="large-text"
							   placeholder="abbf8070add9022944a0be8ee55ce1a2"
							   value="<?php echo esc_attr( Utils::get_array_prop( $followize_api, 'clientKey' ) ); ?>" />
					</label>
				</p>

				<p>
					<label><?php esc_html_e( 'Equipe:', App::PLUGIN_SLUG ); ?>
						<input type="text"
							   name="wpcf7-followize-api[teamKey]"
							   class="large-text"
							   placeholder="abbf8070add9022944a0be8ee55ce1a2"
							   value="<?php echo esc_attr( Utils::get_array_prop( $followize_api, 'teamKey' ) ); ?>" />
					</label>
				</p>

				<p>
					<label><?php esc_html_e( 'Ponto de conversão:', App::PLUGIN_SLUG ); ?>
						<input type="text"
							   name="wpcf7-followize-api[conversionGoal]"
							   class="large-text"
							   placeholder="Página de produtos"
							   value="<?php echo esc_attr( Utils::get_array_prop( $followize_api, 'conversionGoal' ) ); ?>" />
					</label>
				</p>

				<table class="form-table">
					<tr>
						<th scope="row"><?php esc_html_e( 'Debug Logger', App::PLUGIN_SLUG ); ?></th>
						<td>
							<label>
								<input type="hidden" name="wpcf7-followize[log]" value="0" />
								<input type="checkbox"
									   name="wpcf7-followize[log]"
									   value="1"
									   <?php checked( 1, Utils::get_array_prop( $followize, 'log' ) ) ?> />
									   <?php esc_html_e( 'Habilite para solucionar problemas com a extensão.', App::PLUGIN_SLUG ); ?>
							</label>
						</td>
					</tr>
				</table>
			</div>

			<div class="contact-form-editor-box-mail">
				<legend><?php esc_html_e( 'Você pode user as seguintes tags nos campos abaixo:', App::PLUGIN_SLUG ); ?></legend>
				<legend><?php Utils::suggest_field_tags( $post ); ?></legend>

				<?php foreach ( Utils::get_api_fields() as $key => $value ) : ?>
				<p>
					<label><?php echo esc_html( $value['label'] ) . ':'; ?>
						<input type="text"
							   name="wpcf7-followize-fields[<?php echo $key; ?>]"
							   class="large-text"
							   placeholder="<?php echo esc_html( $value['placeholder'] ); ?>"
							   value="<?php echo esc_attr( Utils::get_array_prop( $followize_fields, $key ) ); ?>" />
					</label>
				</p>
				<?php endforeach;?>

				<custom-fields items='{<?php echo esc_attr( json_encode( array_values( (array) $post->prop( 'followize-custom-fields' ) ) ) ); ?>}'
							   text-label="<?php esc_html_e( 'Rótulo', App::PLUGIN_SLUG ); ?>"
							   text-tag="<?php esc_html_e( 'Tag', App::PLUGIN_SLUG ); ?>"
							   placeholder-label="<?php esc_html_e( 'Campo personalizado', App::PLUGIN_SLUG ); ?>"
							   placeholder-tag="<?php esc_html_e( '[your-tag]', App::PLUGIN_SLUG ); ?>"
							   button-text="<?php esc_html_e( 'Adicionar campo personalizado', App::PLUGIN_SLUG ); ?>"></custom-fields>
			</div>
		</div>
		<?php
	}
}
